package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PollutionIndex;
import com.lightinit.hsdatashow.entity.PollutionIndexExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface PollutionIndexMapper {
    long countByExample(PollutionIndexExample example);

    int deleteByExample(PollutionIndexExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PollutionIndex record);

    int insertSelective(PollutionIndex record);

    List<PollutionIndex> selectByExample(PollutionIndexExample example);

    PollutionIndex selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PollutionIndex record, @Param("example") PollutionIndexExample example);

    int updateByExample(@Param("record") PollutionIndex record, @Param("example") PollutionIndexExample example);

    int updateByPrimaryKeySelective(PollutionIndex record);

    int updateByPrimaryKey(PollutionIndex record);

    List<ChartModel> getPollutionIndex();
}